<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml"/>
	
	<xsl:template match="/">
		<div>
			<span style="font-size: 150%; padding-right: 10px;">
				<xrl:include>
					<xrl:identifier>xrl:logo</xrl:identifier>
				</xrl:include>
			 </span>
			<xsl:apply-templates/>
		</div>
    </xsl:template>
	
	<xsl:template match="link">
				<span style="padding-right: 10px;">
						<xsl:choose>
							<xsl:when test='state="disabled"'>
								<span style=" opacity:0.4;filter:alpha(opacity=40);">
								<xsl:call-template name="button">
									<xsl:with-param name="link" select="."/>
								</xsl:call-template>
								</span>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="button">
									<xsl:with-param name="link" select="."/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
				</span>
	</xsl:template>
	
	<xsl:template name="button">
		<xsl:param name="link"/>
			<span class="topbut">
				<span class="aa">&#160;</span>
				<span class="bb">
					<xsl:choose>
							<xsl:when test="$link/state='disabled'">
								<xsl:value-of select="$link/name"/>		
							</xsl:when>
							<xsl:otherwise>
								<a href="{$link/url}"><xsl:value-of select="$link/name"/></a>
							</xsl:otherwise>
					</xsl:choose>
				</span>
				<span class="cc">&#160;</span>
			</span>
	</xsl:template>

</xsl:stylesheet>

