<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
    <xsl:output method="xml"/>
	
	<xsl:param name="search" nk:class="java.lang.String"/>
	
	<xsl:template match="/">
		<div>
				<div style="font-size: 300%;">
					<xrl:include>
						<xrl:identifier>xrl:logo</xrl:identifier>
					</xrl:include>
				</div>
				<div>
				<form action="/wink/search/" method="GET">
					<table>
						<tr>
							<td>search:</td>
							<td>
								<input type="text" name="search" style="width: 200px;" value="{$search}"/>
							</td>
						</tr>
					</table>					
				</form>
			</div>
				<h2>Search Results</h2>
				<xsl:apply-templates/>
		</div>
    </xsl:template>
	
	<xsl:template match="hits">
		<div style="padding: 5px;">
			Found <xsl:value-of select="total"/> hits in <xsl:value-of select="time"/> seconds.
		</div>
		<table>
			<xsl:apply-templates select="hit"/>
		</table>
	</xsl:template>
	
	<xsl:template match="hit">
		<xsl:variable name="v" select="substring(field/value, 11)"/>
		<tr>
			<td><a href="/wink/wiki/{$v}"><xsl:value-of select="$v"/></a></td>
			<td><xsl:value-of select="score"/></td>
		</tr>
	</xsl:template>

</xsl:stylesheet>
